using Model;
using Xunit;

namespace Model.Tests
{
    public class CoachTests
    {
        [Fact]
        public void CheckAdd_AthleteUser_ReturnsTrue()
        {
            // Arrange
            var coach = new Coach();

            // Act
            var user = new User { Role = new Athlete() };
            var result = coach.CheckAdd(user);

            // Assert
            Assert.True(result);
        }

        [Fact]
        public void CheckAdd_NonAthleteUser_ReturnsFalse()
        {
            // Arrange
            var coach = new Coach();

            // Act
            var user = new User { Role = new Coach() };
            var result = coach.CheckAdd(user);

            // Assert
            Assert.False(result);
        }

        [Fact]
        public void CheckAdd_NullUser_ReturnsFalse()
        {
            // Arrange
            var coach = new Coach();

            // Act
            var result = coach.CheckAdd(null);

            // Assert
            Assert.False(result);
        }
    }
}