using Model;
using System.Collections.Generic;
using Xunit;

namespace Model.Tests
{
    public class DataSourceTests
    {
        [Fact]
        public void Constructor_WithArguments_InitializesProperties()
        {
            // Arrange
            var id = 1;
            var type = "Type";
            var model = "Model";
            var precision = 0.5f;
            var athletes = new List<User>();
            var activities = new List<Activity>();

            // Act
            var dataSource = new DataSource(id, type, model, precision, athletes, activities);

            // Assert
            Assert.Equal(id, dataSource.Id);
            Assert.Equal(type, dataSource.Type);
            Assert.Equal(model, dataSource.Model);
            Assert.Equal(precision, dataSource.Precision);
            Assert.Same(athletes, dataSource.Athletes);
            Assert.Same(activities, dataSource.Activities);
        }
    }
}
